Vla-put-transparency

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-transparency vla-object bool )


機能
特定のモノクロ イメージの透過性をオンにするかオフにするかを指定する。


引数
  • vla-object … VLAオブジェクト(GeomapImage、RasterImage、Wipeout)
  • bool … ブール型
  •  :vlax-True: 透過性はオンです。
  •  :vlax-False: 透過性はオフです。


戻り値
nil


  • MEMO : モノクロ ラスター イメージは、前景色と背景色の2色だけからなるイメージ。モノクロ イメージをアタッチすると、イメージ全体が現在の画層の色設定を継承する。アタッチしたイメージを修正できるだけでなく、背景色の透過性のオン/オフを切り替えることでモノクロ イメージを修正することもできる。
  • 注: モノクロ イメージおよびその境界は、常に同一色。


サンプル
(vl-load-com)
(defun c:Example_Transparency()
    ;; ラスター イメージを挿入し、イメージの透明度の現在のステータスを
    ;; 変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; サンプルディレクトリの「2d Projected Polylines.jpg」を使用する。
    ;; 画像がないか、別のディレクトリにある場合は、有効なパスを
    ;; imageName 変数に指定する。
    (setq insertionPoint (vlax-3d-point 2 2 0)
          imageName ".\\Sample\\image\\2d Projected Polylines.jpg"
          scalefactor 1
          rotAngle (/ (* 0 3.141592) 180))
    
    (if (/= (findfile imageName) nil)
        (progn
            ;; ラスターイメージをモデル空間に作成
            (setq modelSpace (vla-get-ModelSpace doc))
            (setq raster (vla-AddRaster modelSpace (findfile imageName) insertionPoint scalefactor rotAngle))
            (vla-ZoomExtents acadObj)

            ;; 現在の透過設定
            (vla-Regen doc :vlax-true)
            (alert (strcat "現在の透過値は : " (if (= (vla-get-Transparency raster) :vlax-true) "True" "False")))
    
            ;; 変更
            (vla-put-Transparency raster (if (= (vla-get-Transparency raster) :vlax-true) :vlax-false :vlax-true))
            (vla-Regen doc :vlax-true)
            (alert (strcat "新しい透過値は : " (if (= (vla-get-Transparency raster) :vlax-true) "True" "False")))
	       )
        (alert (strcat imageName " はなかとです。"))
    )
)

関連事項